<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeBanker StructType
 * @subpackage Structs
 */
class CreditsafeBanker extends AbstractStructBase
{
    /**
     * The name
     * @var string
     */
    public $name;
    /**
     * The address
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $address;
    /**
     * The bank_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $bank_code;
    /**
     * Constructor method for CreditsafeBanker
     * @uses CreditsafeBanker::setName()
     * @uses CreditsafeBanker::setAddress()
     * @uses CreditsafeBanker::setBank_code()
     * @param string $name
     * @param string $address
     * @param string $bank_code
     */
    public function __construct($name = null, $address = null, $bank_code = null)
    {
        $this
            ->setName($name)
            ->setAddress($address)
            ->setBank_code($bank_code);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\CreditsafeBanker
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get address value
     * @return string|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param string $address
     * @return \StructType\CreditsafeBanker
     */
    public function setAddress($address = null)
    {
        // validation for constraint: string
        if (!is_null($address) && !is_string($address)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($address, true), gettype($address)), __LINE__);
        }
        $this->address = $address;
        return $this;
    }
    /**
     * Get bank_code value
     * @return string|null
     */
    public function getBank_code()
    {
        return $this->bank_code;
    }
    /**
     * Set bank_code value
     * @param string $bank_code
     * @return \StructType\CreditsafeBanker
     */
    public function setBank_code($bank_code = null)
    {
        // validation for constraint: string
        if (!is_null($bank_code) && !is_string($bank_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bank_code, true), gettype($bank_code)), __LINE__);
        }
        $this->bank_code = $bank_code;
        return $this;
    }
}
