<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeBeAdditionalInformation StructType
 * @subpackage Structs
 */
class CreditsafeBeAdditionalInformation extends AbstractStructBase
{
    /**
     * The negative_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeBeNegativeInformation
     */
    public $negative_information;
    /**
     * The misc
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeBeMisc
     */
    public $misc;
    /**
     * The industry_quartile_analysis
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeIndustryQuartilyAnalysis
     */
    public $industry_quartile_analysis;
    /**
     * The payment_expectations_summary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeBePaymentExpectationsSummary
     */
    public $payment_expectations_summary;
    /**
     * The industry_comparison
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeBeIndustryComparison
     */
    public $industry_comparison;
    /**
     * The registered_contractors
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeBeRegisteredContractorArray
     */
    public $registered_contractors;
    /**
     * The events
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeBeEventArray
     */
    public $events;
    /**
     * Constructor method for CreditsafeBeAdditionalInformation
     * @uses CreditsafeBeAdditionalInformation::setNegative_information()
     * @uses CreditsafeBeAdditionalInformation::setMisc()
     * @uses CreditsafeBeAdditionalInformation::setIndustry_quartile_analysis()
     * @uses CreditsafeBeAdditionalInformation::setPayment_expectations_summary()
     * @uses CreditsafeBeAdditionalInformation::setIndustry_comparison()
     * @uses CreditsafeBeAdditionalInformation::setRegistered_contractors()
     * @uses CreditsafeBeAdditionalInformation::setEvents()
     * @param \StructType\CreditsafeBeNegativeInformation $negative_information
     * @param \StructType\CreditsafeBeMisc $misc
     * @param \StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis
     * @param \StructType\CreditsafeBePaymentExpectationsSummary $payment_expectations_summary
     * @param \StructType\CreditsafeBeIndustryComparison $industry_comparison
     * @param \ArrayType\CreditsafeBeRegisteredContractorArray $registered_contractors
     * @param \ArrayType\CreditsafeBeEventArray $events
     */
    public function __construct(\StructType\CreditsafeBeNegativeInformation $negative_information = null, \StructType\CreditsafeBeMisc $misc = null, \StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis = null, \StructType\CreditsafeBePaymentExpectationsSummary $payment_expectations_summary = null, \StructType\CreditsafeBeIndustryComparison $industry_comparison = null, \ArrayType\CreditsafeBeRegisteredContractorArray $registered_contractors = null, \ArrayType\CreditsafeBeEventArray $events = null)
    {
        $this
            ->setNegative_information($negative_information)
            ->setMisc($misc)
            ->setIndustry_quartile_analysis($industry_quartile_analysis)
            ->setPayment_expectations_summary($payment_expectations_summary)
            ->setIndustry_comparison($industry_comparison)
            ->setRegistered_contractors($registered_contractors)
            ->setEvents($events);
    }
    /**
     * Get negative_information value
     * @return \StructType\CreditsafeBeNegativeInformation|null
     */
    public function getNegative_information()
    {
        return $this->negative_information;
    }
    /**
     * Set negative_information value
     * @param \StructType\CreditsafeBeNegativeInformation $negative_information
     * @return \StructType\CreditsafeBeAdditionalInformation
     */
    public function setNegative_information(\StructType\CreditsafeBeNegativeInformation $negative_information = null)
    {
        $this->negative_information = $negative_information;
        return $this;
    }
    /**
     * Get misc value
     * @return \StructType\CreditsafeBeMisc|null
     */
    public function getMisc()
    {
        return $this->misc;
    }
    /**
     * Set misc value
     * @param \StructType\CreditsafeBeMisc $misc
     * @return \StructType\CreditsafeBeAdditionalInformation
     */
    public function setMisc(\StructType\CreditsafeBeMisc $misc = null)
    {
        $this->misc = $misc;
        return $this;
    }
    /**
     * Get industry_quartile_analysis value
     * @return \StructType\CreditsafeIndustryQuartilyAnalysis|null
     */
    public function getIndustry_quartile_analysis()
    {
        return $this->industry_quartile_analysis;
    }
    /**
     * Set industry_quartile_analysis value
     * @param \StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis
     * @return \StructType\CreditsafeBeAdditionalInformation
     */
    public function setIndustry_quartile_analysis(\StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis = null)
    {
        $this->industry_quartile_analysis = $industry_quartile_analysis;
        return $this;
    }
    /**
     * Get payment_expectations_summary value
     * @return \StructType\CreditsafeBePaymentExpectationsSummary|null
     */
    public function getPayment_expectations_summary()
    {
        return $this->payment_expectations_summary;
    }
    /**
     * Set payment_expectations_summary value
     * @param \StructType\CreditsafeBePaymentExpectationsSummary $payment_expectations_summary
     * @return \StructType\CreditsafeBeAdditionalInformation
     */
    public function setPayment_expectations_summary(\StructType\CreditsafeBePaymentExpectationsSummary $payment_expectations_summary = null)
    {
        $this->payment_expectations_summary = $payment_expectations_summary;
        return $this;
    }
    /**
     * Get industry_comparison value
     * @return \StructType\CreditsafeBeIndustryComparison|null
     */
    public function getIndustry_comparison()
    {
        return $this->industry_comparison;
    }
    /**
     * Set industry_comparison value
     * @param \StructType\CreditsafeBeIndustryComparison $industry_comparison
     * @return \StructType\CreditsafeBeAdditionalInformation
     */
    public function setIndustry_comparison(\StructType\CreditsafeBeIndustryComparison $industry_comparison = null)
    {
        $this->industry_comparison = $industry_comparison;
        return $this;
    }
    /**
     * Get registered_contractors value
     * @return \ArrayType\CreditsafeBeRegisteredContractorArray|null
     */
    public function getRegistered_contractors()
    {
        return $this->registered_contractors;
    }
    /**
     * Set registered_contractors value
     * @param \ArrayType\CreditsafeBeRegisteredContractorArray $registered_contractors
     * @return \StructType\CreditsafeBeAdditionalInformation
     */
    public function setRegistered_contractors(\ArrayType\CreditsafeBeRegisteredContractorArray $registered_contractors = null)
    {
        $this->registered_contractors = $registered_contractors;
        return $this;
    }
    /**
     * Get events value
     * @return \ArrayType\CreditsafeBeEventArray|null
     */
    public function getEvents()
    {
        return $this->events;
    }
    /**
     * Set events value
     * @param \ArrayType\CreditsafeBeEventArray $events
     * @return \StructType\CreditsafeBeAdditionalInformation
     */
    public function setEvents(\ArrayType\CreditsafeBeEventArray $events = null)
    {
        $this->events = $events;
        return $this;
    }
}
