<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyNegativeInformationV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyNegativeInformationV2 extends AbstractStructBase
{
    /**
     * The nl
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyNegativeInformationNLV2
     */
    public $nl;
    /**
     * The de
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyNegativeInformationDEV2
     */
    public $de;
    /**
     * The generic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyKeyValueV2Array
     */
    public $generic;
    /**
     * Constructor method for CreditsafeCompanyNegativeInformationV2
     * @uses CreditsafeCompanyNegativeInformationV2::setNl()
     * @uses CreditsafeCompanyNegativeInformationV2::setDe()
     * @uses CreditsafeCompanyNegativeInformationV2::setGeneric()
     * @param \StructType\CreditsafeCompanyNegativeInformationNLV2 $nl
     * @param \StructType\CreditsafeCompanyNegativeInformationDEV2 $de
     * @param \ArrayType\CreditsafeCompanyKeyValueV2Array $generic
     */
    public function __construct(\StructType\CreditsafeCompanyNegativeInformationNLV2 $nl = null, \StructType\CreditsafeCompanyNegativeInformationDEV2 $de = null, \ArrayType\CreditsafeCompanyKeyValueV2Array $generic = null)
    {
        $this
            ->setNl($nl)
            ->setDe($de)
            ->setGeneric($generic);
    }
    /**
     * Get nl value
     * @return \StructType\CreditsafeCompanyNegativeInformationNLV2|null
     */
    public function getNl()
    {
        return $this->nl;
    }
    /**
     * Set nl value
     * @param \StructType\CreditsafeCompanyNegativeInformationNLV2 $nl
     * @return \StructType\CreditsafeCompanyNegativeInformationV2
     */
    public function setNl(\StructType\CreditsafeCompanyNegativeInformationNLV2 $nl = null)
    {
        $this->nl = $nl;
        return $this;
    }
    /**
     * Get de value
     * @return \StructType\CreditsafeCompanyNegativeInformationDEV2|null
     */
    public function getDe()
    {
        return $this->de;
    }
    /**
     * Set de value
     * @param \StructType\CreditsafeCompanyNegativeInformationDEV2 $de
     * @return \StructType\CreditsafeCompanyNegativeInformationV2
     */
    public function setDe(\StructType\CreditsafeCompanyNegativeInformationDEV2 $de = null)
    {
        $this->de = $de;
        return $this;
    }
    /**
     * Get generic value
     * @return \ArrayType\CreditsafeCompanyKeyValueV2Array|null
     */
    public function getGeneric()
    {
        return $this->generic;
    }
    /**
     * Set generic value
     * @param \ArrayType\CreditsafeCompanyKeyValueV2Array $generic
     * @return \StructType\CreditsafeCompanyNegativeInformationV2
     */
    public function setGeneric(\ArrayType\CreditsafeCompanyKeyValueV2Array $generic = null)
    {
        $this->generic = $generic;
        return $this;
    }
}
