<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeNlCourtData StructType
 * @subpackage Structs
 */
class CreditsafeNlCourtData extends AbstractStructBase
{
    /**
     * The facts
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlCourtDataFacts
     */
    public $facts;
    /**
     * The receiver_details
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlCourtDataReceiver
     */
    public $receiver_details;
    /**
     * Constructor method for CreditsafeNlCourtData
     * @uses CreditsafeNlCourtData::setFacts()
     * @uses CreditsafeNlCourtData::setReceiver_details()
     * @param \StructType\CreditsafeNlCourtDataFacts $facts
     * @param \StructType\CreditsafeNlCourtDataReceiver $receiver_details
     */
    public function __construct(\StructType\CreditsafeNlCourtDataFacts $facts = null, \StructType\CreditsafeNlCourtDataReceiver $receiver_details = null)
    {
        $this
            ->setFacts($facts)
            ->setReceiver_details($receiver_details);
    }
    /**
     * Get facts value
     * @return \StructType\CreditsafeNlCourtDataFacts|null
     */
    public function getFacts()
    {
        return $this->facts;
    }
    /**
     * Set facts value
     * @param \StructType\CreditsafeNlCourtDataFacts $facts
     * @return \StructType\CreditsafeNlCourtData
     */
    public function setFacts(\StructType\CreditsafeNlCourtDataFacts $facts = null)
    {
        $this->facts = $facts;
        return $this;
    }
    /**
     * Get receiver_details value
     * @return \StructType\CreditsafeNlCourtDataReceiver|null
     */
    public function getReceiver_details()
    {
        return $this->receiver_details;
    }
    /**
     * Set receiver_details value
     * @param \StructType\CreditsafeNlCourtDataReceiver $receiver_details
     * @return \StructType\CreditsafeNlCourtData
     */
    public function setReceiver_details(\StructType\CreditsafeNlCourtDataReceiver $receiver_details = null)
    {
        $this->receiver_details = $receiver_details;
        return $this;
    }
}
