<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessDossierHistory StructType
 * @subpackage Structs
 */
class DutchBusinessDossierHistory extends AbstractStructBase
{
    /**
     * The references
     * @var \ArrayType\DutchBusinessDossierReferenceArray
     */
    public $references;
    /**
     * Constructor method for DutchBusinessDossierHistory
     * @uses DutchBusinessDossierHistory::setReferences()
     * @param \ArrayType\DutchBusinessDossierReferenceArray $references
     */
    public function __construct(\ArrayType\DutchBusinessDossierReferenceArray $references = null)
    {
        $this
            ->setReferences($references);
    }
    /**
     * Get references value
     * @return \ArrayType\DutchBusinessDossierReferenceArray|null
     */
    public function getReferences()
    {
        return $this->references;
    }
    /**
     * Set references value
     * @param \ArrayType\DutchBusinessDossierReferenceArray $references
     * @return \StructType\DutchBusinessDossierHistory
     */
    public function setReferences(\ArrayType\DutchBusinessDossierReferenceArray $references = null)
    {
        $this->references = $references;
        return $this;
    }
}
