<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessUBOInvestigationToken StructType
 * @subpackage Structs
 */
class DutchBusinessUBOInvestigationToken extends AbstractStructBase
{
    /**
     * The token
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $token;
    /**
     * Constructor method for DutchBusinessUBOInvestigationToken
     * @uses DutchBusinessUBOInvestigationToken::setToken()
     * @param string $token
     */
    public function __construct($token = null)
    {
        $this
            ->setToken($token);
    }
    /**
     * Get token value
     * @return string
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \StructType\DutchBusinessUBOInvestigationToken
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
}
