<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationPostcodeCoordinatesLatLonResponseType
 * StructType
 * @subpackage Structs
 */
class GeoLocationPostcodeCoordinatesLatLonResponseType extends AbstractStructBase
{
    /**
     * The coordinates
     * @var \StructType\LatLonCoordinates
     */
    public $coordinates;
    /**
     * Constructor method for geoLocationPostcodeCoordinatesLatLonResponseType
     * @uses GeoLocationPostcodeCoordinatesLatLonResponseType::setCoordinates()
     * @param \StructType\LatLonCoordinates $coordinates
     */
    public function __construct(\StructType\LatLonCoordinates $coordinates = null)
    {
        $this
            ->setCoordinates($coordinates);
    }
    /**
     * Get coordinates value
     * @return \StructType\LatLonCoordinates|null
     */
    public function getCoordinates()
    {
        return $this->coordinates;
    }
    /**
     * Set coordinates value
     * @param \StructType\LatLonCoordinates $coordinates
     * @return \StructType\GeoLocationPostcodeCoordinatesLatLonResponseType
     */
    public function setCoordinates(\StructType\LatLonCoordinates $coordinates = null)
    {
        $this->coordinates = $coordinates;
        return $this;
    }
}
