<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GraydonCreditReportVatNumber StructType
 * @subpackage Structs
 */
class GraydonCreditReportVatNumber extends AbstractStructBase
{
    /**
     * The vat_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $vat_number;
    /**
     * The alarm
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\GCRAlarm
     */
    public $alarm;
    /**
     * Constructor method for GraydonCreditReportVatNumber
     * @uses GraydonCreditReportVatNumber::setVat_number()
     * @uses GraydonCreditReportVatNumber::setAlarm()
     * @param string $vat_number
     * @param \StructType\GCRAlarm $alarm
     */
    public function __construct($vat_number = null, \StructType\GCRAlarm $alarm = null)
    {
        $this
            ->setVat_number($vat_number)
            ->setAlarm($alarm);
    }
    /**
     * Get vat_number value
     * @return string|null
     */
    public function getVat_number()
    {
        return $this->vat_number;
    }
    /**
     * Set vat_number value
     * @param string $vat_number
     * @return \StructType\GraydonCreditReportVatNumber
     */
    public function setVat_number($vat_number = null)
    {
        // validation for constraint: string
        if (!is_null($vat_number) && !is_string($vat_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($vat_number, true), gettype($vat_number)), __LINE__);
        }
        $this->vat_number = $vat_number;
        return $this;
    }
    /**
     * Get alarm value
     * @return \StructType\GCRAlarm|null
     */
    public function getAlarm()
    {
        return $this->alarm;
    }
    /**
     * Set alarm value
     * @param \StructType\GCRAlarm $alarm
     * @return \StructType\GraydonCreditReportVatNumber
     */
    public function setAlarm(\StructType\GCRAlarm $alarm = null)
    {
        $this->alarm = $alarm;
        return $this;
    }
}
