<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LidLijst StructType
 * @subpackage Structs
 */
class LidLijst extends AbstractStructBase
{
    /**
     * The leden
     * @var \ArrayType\LidArray
     */
    public $leden;
    /**
     * The indicatie_compleet
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for LidLijst
     * @uses LidLijst::setLeden()
     * @uses LidLijst::setIndicatie_compleet()
     * @param \ArrayType\LidArray $leden
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\LidArray $leden = null, $indicatie_compleet = null)
    {
        $this
            ->setLeden($leden)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get leden value
     * @return \ArrayType\LidArray|null
     */
    public function getLeden()
    {
        return $this->leden;
    }
    /**
     * Set leden value
     * @param \ArrayType\LidArray $leden
     * @return \StructType\LidLijst
     */
    public function setLeden(\ArrayType\LidArray $leden = null)
    {
        $this->leden = $leden;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\LidLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
}
