<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LocatieBinnenlandLijst StructType
 * @subpackage Structs
 */
class LocatieBinnenlandLijst extends AbstractStructBase
{
    /**
     * The locaties_binnenland
     * @var \ArrayType\LocatieBinnenlandArray
     */
    public $locaties_binnenland;
    /**
     * The indicatie_compleet
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for LocatieBinnenlandLijst
     * @uses LocatieBinnenlandLijst::setLocaties_binnenland()
     * @uses LocatieBinnenlandLijst::setIndicatie_compleet()
     * @param \ArrayType\LocatieBinnenlandArray $locaties_binnenland
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\LocatieBinnenlandArray $locaties_binnenland = null, $indicatie_compleet = null)
    {
        $this
            ->setLocaties_binnenland($locaties_binnenland)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get locaties_binnenland value
     * @return \ArrayType\LocatieBinnenlandArray|null
     */
    public function getLocaties_binnenland()
    {
        return $this->locaties_binnenland;
    }
    /**
     * Set locaties_binnenland value
     * @param \ArrayType\LocatieBinnenlandArray $locaties_binnenland
     * @return \StructType\LocatieBinnenlandLijst
     */
    public function setLocaties_binnenland(\ArrayType\LocatieBinnenlandArray $locaties_binnenland = null)
    {
        $this->locaties_binnenland = $locaties_binnenland;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\LocatieBinnenlandLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
}
