<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RouteCoordinates StructType
 * @subpackage Structs
 */
class RouteCoordinates extends AbstractStructBase
{
    /**
     * The latlong
     * @var \StructType\RouteCoordinateLatLong
     */
    public $latlong;
    /**
     * The rd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\RouteCoordinateRD
     */
    public $rd;
    /**
     * Constructor method for RouteCoordinates
     * @uses RouteCoordinates::setLatlong()
     * @uses RouteCoordinates::setRd()
     * @param \StructType\RouteCoordinateLatLong $latlong
     * @param \StructType\RouteCoordinateRD $rd
     */
    public function __construct(\StructType\RouteCoordinateLatLong $latlong = null, \StructType\RouteCoordinateRD $rd = null)
    {
        $this
            ->setLatlong($latlong)
            ->setRd($rd);
    }
    /**
     * Get latlong value
     * @return \StructType\RouteCoordinateLatLong|null
     */
    public function getLatlong()
    {
        return $this->latlong;
    }
    /**
     * Set latlong value
     * @param \StructType\RouteCoordinateLatLong $latlong
     * @return \StructType\RouteCoordinates
     */
    public function setLatlong(\StructType\RouteCoordinateLatLong $latlong = null)
    {
        $this->latlong = $latlong;
        return $this;
    }
    /**
     * Get rd value
     * @return \StructType\RouteCoordinateRD|null
     */
    public function getRd()
    {
        return $this->rd;
    }
    /**
     * Set rd value
     * @param \StructType\RouteCoordinateRD $rd
     * @return \StructType\RouteCoordinates
     */
    public function setRd(\StructType\RouteCoordinateRD $rd = null)
    {
        $this->rd = $rd;
        return $this;
    }
}
