<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for routePlannerDescriptionCoordinatesRDResponseType
 * StructType
 * @subpackage Structs
 */
class RoutePlannerDescriptionCoordinatesRDResponseType extends AbstractStructBase
{
    /**
     * The route
     * @var \StructType\RouteDescriptionCoordinatesRD
     */
    public $route;
    /**
     * Constructor method for routePlannerDescriptionCoordinatesRDResponseType
     * @uses RoutePlannerDescriptionCoordinatesRDResponseType::setRoute()
     * @param \StructType\RouteDescriptionCoordinatesRD $route
     */
    public function __construct(\StructType\RouteDescriptionCoordinatesRD $route = null)
    {
        $this
            ->setRoute($route);
    }
    /**
     * Get route value
     * @return \StructType\RouteDescriptionCoordinatesRD|null
     */
    public function getRoute()
    {
        return $this->route;
    }
    /**
     * Set route value
     * @param \StructType\RouteDescriptionCoordinatesRD $route
     * @return \StructType\RoutePlannerDescriptionCoordinatesRDResponseType
     */
    public function setRoute(\StructType\RouteDescriptionCoordinatesRD $route = null)
    {
        $this->route = $route;
        return $this;
    }
}
