<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for routePlannerDescriptionShortestResponseType StructType
 * @subpackage Structs
 */
class RoutePlannerDescriptionShortestResponseType extends AbstractStructBase
{
    /**
     * The route
     * @var \ArrayType\RoutePartArray
     */
    public $route;
    /**
     * Constructor method for routePlannerDescriptionShortestResponseType
     * @uses RoutePlannerDescriptionShortestResponseType::setRoute()
     * @param \ArrayType\RoutePartArray $route
     */
    public function __construct(\ArrayType\RoutePartArray $route = null)
    {
        $this
            ->setRoute($route);
    }
    /**
     * Get route value
     * @return \ArrayType\RoutePartArray|null
     */
    public function getRoute()
    {
        return $this->route;
    }
    /**
     * Set route value
     * @param \ArrayType\RoutePartArray $route
     * @return \StructType\RoutePlannerDescriptionShortestResponseType
     */
    public function setRoute(\ArrayType\RoutePartArray $route = null)
    {
        $this->route = $route;
        return $this;
    }
}
