<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for routePlannerInformationResponseType StructType
 * @subpackage Structs
 */
class RoutePlannerInformationResponseType extends AbstractStructBase
{
    /**
     * The route
     * @var \StructType\RouteInfo
     */
    public $route;
    /**
     * Constructor method for routePlannerInformationResponseType
     * @uses RoutePlannerInformationResponseType::setRoute()
     * @param \StructType\RouteInfo $route
     */
    public function __construct(\StructType\RouteInfo $route = null)
    {
        $this
            ->setRoute($route);
    }
    /**
     * Get route value
     * @return \StructType\RouteInfo|null
     */
    public function getRoute()
    {
        return $this->route;
    }
    /**
     * Set route value
     * @param \StructType\RouteInfo $route
     * @return \StructType\RoutePlannerInformationResponseType
     */
    public function setRoute(\StructType\RouteInfo $route = null)
    {
        $this->route = $route;
        return $this;
    }
}
