<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for userEditHostRestrictionsRequestType StructType
 * @subpackage Structs
 */
class UserEditHostRestrictionsRequestType extends AbstractStructBase
{
    /**
     * The userid
     * @var int
     */
    public $userid;
    /**
     * The restrictions
     * @var string
     */
    public $restrictions;
    /**
     * Constructor method for userEditHostRestrictionsRequestType
     * @uses UserEditHostRestrictionsRequestType::setUserid()
     * @uses UserEditHostRestrictionsRequestType::setRestrictions()
     * @param int $userid
     * @param string $restrictions
     */
    public function __construct($userid = null, $restrictions = null)
    {
        $this
            ->setUserid($userid)
            ->setRestrictions($restrictions);
    }
    /**
     * Get userid value
     * @return int|null
     */
    public function getUserid()
    {
        return $this->userid;
    }
    /**
     * Set userid value
     * @param int $userid
     * @return \StructType\UserEditHostRestrictionsRequestType
     */
    public function setUserid($userid = null)
    {
        // validation for constraint: int
        if (!is_null($userid) && !(is_int($userid) || ctype_digit($userid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($userid, true), gettype($userid)), __LINE__);
        }
        $this->userid = $userid;
        return $this;
    }
    /**
     * Get restrictions value
     * @return string|null
     */
    public function getRestrictions()
    {
        return $this->restrictions;
    }
    /**
     * Set restrictions value
     * @param string $restrictions
     * @return \StructType\UserEditHostRestrictionsRequestType
     */
    public function setRestrictions($restrictions = null)
    {
        // validation for constraint: string
        if (!is_null($restrictions) && !is_string($restrictions)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($restrictions, true), gettype($restrictions)), __LINE__);
        }
        $this->restrictions = $restrictions;
        return $this;
    }
}
