<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyAdditionalInformationDEImageAccountV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationDEImageAccountV2 extends AbstractStructBase
{
    /**
     * The serial_number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $serial_number;
    /**
     * The start_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $start_date;
    /**
     * The end_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $end_date;
    /**
     * The published_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $published_date;
    /**
     * The document_type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $document_type;
    /**
     * The financials_type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $financials_type;
    /**
     * Constructor method for CreditsafeCompanyAdditionalInformationDEImageAccountV2
     * @uses CreditsafeCompanyAdditionalInformationDEImageAccountV2::setSerial_number()
     * @uses CreditsafeCompanyAdditionalInformationDEImageAccountV2::setStart_date()
     * @uses CreditsafeCompanyAdditionalInformationDEImageAccountV2::setEnd_date()
     * @uses CreditsafeCompanyAdditionalInformationDEImageAccountV2::setPublished_date()
     * @uses CreditsafeCompanyAdditionalInformationDEImageAccountV2::setDocument_type()
     * @uses CreditsafeCompanyAdditionalInformationDEImageAccountV2::setFinancials_type()
     * @param string $serial_number
     * @param string $start_date
     * @param string $end_date
     * @param string $published_date
     * @param string $document_type
     * @param string $financials_type
     */
    public function __construct($serial_number = null, $start_date = null, $end_date = null, $published_date = null, $document_type = null, $financials_type = null)
    {
        $this
            ->setSerial_number($serial_number)
            ->setStart_date($start_date)
            ->setEnd_date($end_date)
            ->setPublished_date($published_date)
            ->setDocument_type($document_type)
            ->setFinancials_type($financials_type);
    }
    /**
     * Get serial_number value
     * @return string|null
     */
    public function getSerial_number()
    {
        return $this->serial_number;
    }
    /**
     * Set serial_number value
     * @param string $serial_number
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2
     */
    public function setSerial_number($serial_number = null)
    {
        // validation for constraint: string
        if (!is_null($serial_number) && !is_string($serial_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($serial_number, true), gettype($serial_number)), __LINE__);
        }
        $this->serial_number = $serial_number;
        return $this;
    }
    /**
     * Get start_date value
     * @return string|null
     */
    public function getStart_date()
    {
        return $this->start_date;
    }
    /**
     * Set start_date value
     * @param string $start_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2
     */
    public function setStart_date($start_date = null)
    {
        // validation for constraint: string
        if (!is_null($start_date) && !is_string($start_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($start_date, true), gettype($start_date)), __LINE__);
        }
        $this->start_date = $start_date;
        return $this;
    }
    /**
     * Get end_date value
     * @return string|null
     */
    public function getEnd_date()
    {
        return $this->end_date;
    }
    /**
     * Set end_date value
     * @param string $end_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2
     */
    public function setEnd_date($end_date = null)
    {
        // validation for constraint: string
        if (!is_null($end_date) && !is_string($end_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($end_date, true), gettype($end_date)), __LINE__);
        }
        $this->end_date = $end_date;
        return $this;
    }
    /**
     * Get published_date value
     * @return string|null
     */
    public function getPublished_date()
    {
        return $this->published_date;
    }
    /**
     * Set published_date value
     * @param string $published_date
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2
     */
    public function setPublished_date($published_date = null)
    {
        // validation for constraint: string
        if (!is_null($published_date) && !is_string($published_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($published_date, true), gettype($published_date)), __LINE__);
        }
        $this->published_date = $published_date;
        return $this;
    }
    /**
     * Get document_type value
     * @return string|null
     */
    public function getDocument_type()
    {
        return $this->document_type;
    }
    /**
     * Set document_type value
     * @param string $document_type
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2
     */
    public function setDocument_type($document_type = null)
    {
        // validation for constraint: string
        if (!is_null($document_type) && !is_string($document_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($document_type, true), gettype($document_type)), __LINE__);
        }
        $this->document_type = $document_type;
        return $this;
    }
    /**
     * Get financials_type value
     * @return string|null
     */
    public function getFinancials_type()
    {
        return $this->financials_type;
    }
    /**
     * Set financials_type value
     * @param string $financials_type
     * @return \StructType\CreditsafeCompanyAdditionalInformationDEImageAccountV2
     */
    public function setFinancials_type($financials_type = null)
    {
        // validation for constraint: string
        if (!is_null($financials_type) && !is_string($financials_type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($financials_type, true), gettype($financials_type)), __LINE__);
        }
        $this->financials_type = $financials_type;
        return $this;
    }
}
