<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for
 * CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2 StructType
 * @subpackage Structs
 */
class CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2 extends AbstractStructBase
{
    /**
     * The suspension_of_payments_mora
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $suspension_of_payments_mora;
    /**
     * The payment_expectation_days
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $payment_expectation_days;
    /**
     * The day_sales_outstanding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $day_sales_outstanding;
    /**
     * The industry_average_payment_expectation_days
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $industry_average_payment_expectation_days;
    /**
     * The industry_average_day_sales_outstanding
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $industry_average_day_sales_outstanding;
    /**
     * Constructor method for
     * CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2
     * @uses CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2::setSuspension_of_payments_mora()
     * @uses CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2::setPayment_expectation_days()
     * @uses CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2::setDay_sales_outstanding()
     * @uses CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2::setIndustry_average_payment_expectation_days()
     * @uses CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2::setIndustry_average_day_sales_outstanding()
     * @param string $suspension_of_payments_mora
     * @param int $payment_expectation_days
     * @param int $day_sales_outstanding
     * @param int $industry_average_payment_expectation_days
     * @param int $industry_average_day_sales_outstanding
     */
    public function __construct($suspension_of_payments_mora = null, $payment_expectation_days = null, $day_sales_outstanding = null, $industry_average_payment_expectation_days = null, $industry_average_day_sales_outstanding = null)
    {
        $this
            ->setSuspension_of_payments_mora($suspension_of_payments_mora)
            ->setPayment_expectation_days($payment_expectation_days)
            ->setDay_sales_outstanding($day_sales_outstanding)
            ->setIndustry_average_payment_expectation_days($industry_average_payment_expectation_days)
            ->setIndustry_average_day_sales_outstanding($industry_average_day_sales_outstanding);
    }
    /**
     * Get suspension_of_payments_mora value
     * @return string|null
     */
    public function getSuspension_of_payments_mora()
    {
        return $this->suspension_of_payments_mora;
    }
    /**
     * Set suspension_of_payments_mora value
     * @param string $suspension_of_payments_mora
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2
     */
    public function setSuspension_of_payments_mora($suspension_of_payments_mora = null)
    {
        // validation for constraint: string
        if (!is_null($suspension_of_payments_mora) && !is_string($suspension_of_payments_mora)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($suspension_of_payments_mora, true), gettype($suspension_of_payments_mora)), __LINE__);
        }
        $this->suspension_of_payments_mora = $suspension_of_payments_mora;
        return $this;
    }
    /**
     * Get payment_expectation_days value
     * @return int|null
     */
    public function getPayment_expectation_days()
    {
        return $this->payment_expectation_days;
    }
    /**
     * Set payment_expectation_days value
     * @param int $payment_expectation_days
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2
     */
    public function setPayment_expectation_days($payment_expectation_days = null)
    {
        // validation for constraint: int
        if (!is_null($payment_expectation_days) && !(is_int($payment_expectation_days) || ctype_digit($payment_expectation_days))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($payment_expectation_days, true), gettype($payment_expectation_days)), __LINE__);
        }
        $this->payment_expectation_days = $payment_expectation_days;
        return $this;
    }
    /**
     * Get day_sales_outstanding value
     * @return int|null
     */
    public function getDay_sales_outstanding()
    {
        return $this->day_sales_outstanding;
    }
    /**
     * Set day_sales_outstanding value
     * @param int $day_sales_outstanding
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2
     */
    public function setDay_sales_outstanding($day_sales_outstanding = null)
    {
        // validation for constraint: int
        if (!is_null($day_sales_outstanding) && !(is_int($day_sales_outstanding) || ctype_digit($day_sales_outstanding))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($day_sales_outstanding, true), gettype($day_sales_outstanding)), __LINE__);
        }
        $this->day_sales_outstanding = $day_sales_outstanding;
        return $this;
    }
    /**
     * Get industry_average_payment_expectation_days value
     * @return int|null
     */
    public function getIndustry_average_payment_expectation_days()
    {
        return $this->industry_average_payment_expectation_days;
    }
    /**
     * Set industry_average_payment_expectation_days value
     * @param int $industry_average_payment_expectation_days
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2
     */
    public function setIndustry_average_payment_expectation_days($industry_average_payment_expectation_days = null)
    {
        // validation for constraint: int
        if (!is_null($industry_average_payment_expectation_days) && !(is_int($industry_average_payment_expectation_days) || ctype_digit($industry_average_payment_expectation_days))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($industry_average_payment_expectation_days, true), gettype($industry_average_payment_expectation_days)), __LINE__);
        }
        $this->industry_average_payment_expectation_days = $industry_average_payment_expectation_days;
        return $this;
    }
    /**
     * Get industry_average_day_sales_outstanding value
     * @return int|null
     */
    public function getIndustry_average_day_sales_outstanding()
    {
        return $this->industry_average_day_sales_outstanding;
    }
    /**
     * Set industry_average_day_sales_outstanding value
     * @param int $industry_average_day_sales_outstanding
     * @return \StructType\CreditsafeCompanyAdditionalInformationNLPaymentExpectationsSummaryV2
     */
    public function setIndustry_average_day_sales_outstanding($industry_average_day_sales_outstanding = null)
    {
        // validation for constraint: int
        if (!is_null($industry_average_day_sales_outstanding) && !(is_int($industry_average_day_sales_outstanding) || ctype_digit($industry_average_day_sales_outstanding))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($industry_average_day_sales_outstanding, true), gettype($industry_average_day_sales_outstanding)), __LINE__);
        }
        $this->industry_average_day_sales_outstanding = $industry_average_day_sales_outstanding;
        return $this;
    }
}
