<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafePersonPositionV2 StructType
 * @subpackage Structs
 */
class CreditsafePersonPositionV2 extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The date_appointed
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date_appointed;
    /**
     * Constructor method for CreditsafePersonPositionV2
     * @uses CreditsafePersonPositionV2::setName()
     * @uses CreditsafePersonPositionV2::setDate_appointed()
     * @param string $name
     * @param string $date_appointed
     */
    public function __construct($name = null, $date_appointed = null)
    {
        $this
            ->setName($name)
            ->setDate_appointed($date_appointed);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\CreditsafePersonPositionV2
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get date_appointed value
     * @return string|null
     */
    public function getDate_appointed()
    {
        return $this->date_appointed;
    }
    /**
     * Set date_appointed value
     * @param string $date_appointed
     * @return \StructType\CreditsafePersonPositionV2
     */
    public function setDate_appointed($date_appointed = null)
    {
        // validation for constraint: string
        if (!is_null($date_appointed) && !is_string($date_appointed)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date_appointed, true), gettype($date_appointed)), __LINE__);
        }
        $this->date_appointed = $date_appointed;
        return $this;
    }
}
