<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessExtractChangeForecast StructType
 * @subpackage Structs
 */
class DutchBusinessExtractChangeForecast extends AbstractStructBase
{
    /**
     * The change_set
     * @var \StructType\DutchBusinessExtractChangeSet
     */
    public $change_set;
    /**
     * Constructor method for DutchBusinessExtractChangeForecast
     * @uses DutchBusinessExtractChangeForecast::setChange_set()
     * @param \StructType\DutchBusinessExtractChangeSet $change_set
     */
    public function __construct(\StructType\DutchBusinessExtractChangeSet $change_set = null)
    {
        $this
            ->setChange_set($change_set);
    }
    /**
     * Get change_set value
     * @return \StructType\DutchBusinessExtractChangeSet|null
     */
    public function getChange_set()
    {
        return $this->change_set;
    }
    /**
     * Set change_set value
     * @param \StructType\DutchBusinessExtractChangeSet $change_set
     * @return \StructType\DutchBusinessExtractChangeForecast
     */
    public function setChange_set(\StructType\DutchBusinessExtractChangeSet $change_set = null)
    {
        $this->change_set = $change_set;
        return $this;
    }
}
