<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for geoLocationRDToAddressV2ResponseType StructType
 * @subpackage Structs
 */
class GeoLocationRDToAddressV2ResponseType extends AbstractStructBase
{
    /**
     * The address
     * @var \StructType\GeoLocationAddressV2
     */
    public $address;
    /**
     * Constructor method for geoLocationRDToAddressV2ResponseType
     * @uses GeoLocationRDToAddressV2ResponseType::setAddress()
     * @param \StructType\GeoLocationAddressV2 $address
     */
    public function __construct(\StructType\GeoLocationAddressV2 $address = null)
    {
        $this
            ->setAddress($address);
    }
    /**
     * Get address value
     * @return \StructType\GeoLocationAddressV2|null
     */
    public function getAddress()
    {
        return $this->address;
    }
    /**
     * Set address value
     * @param \StructType\GeoLocationAddressV2 $address
     * @return \StructType\GeoLocationRDToAddressV2ResponseType
     */
    public function setAddress(\StructType\GeoLocationAddressV2 $address = null)
    {
        $this->address = $address;
        return $this;
    }
}
