<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GraydonCreditReportAlarm StructType
 * @subpackage Structs
 */
class GraydonCreditReportAlarm extends AbstractStructBase
{
    /**
     * The company
     * @var \StructType\GCRCompanyItselfAlarm
     */
    public $company;
    /**
     * Constructor method for GraydonCreditReportAlarm
     * @uses GraydonCreditReportAlarm::setCompany()
     * @param \StructType\GCRCompanyItselfAlarm $company
     */
    public function __construct(\StructType\GCRCompanyItselfAlarm $company = null)
    {
        $this
            ->setCompany($company);
    }
    /**
     * Get company value
     * @return \StructType\GCRCompanyItselfAlarm|null
     */
    public function getCompany()
    {
        return $this->company;
    }
    /**
     * Set company value
     * @param \StructType\GCRCompanyItselfAlarm $company
     * @return \StructType\GraydonCreditReportAlarm
     */
    public function setCompany(\StructType\GCRCompanyItselfAlarm $company = null)
    {
        $this->company = $company;
        return $this;
    }
}
