<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2GerelateerdeOpenbareRuimte StructType
 * @subpackage Structs
 */
class KadasterV2GerelateerdeOpenbareRuimte extends AbstractStructBase
{
    /**
     * The openbare_ruimte_naam
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $openbare_ruimte_naam;
    /**
     * The openbare_ruimte_plaats
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $openbare_ruimte_plaats;
    /**
     * The in_onderzoek
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $in_onderzoek;
    /**
     * Constructor method for KadasterV2GerelateerdeOpenbareRuimte
     * @uses KadasterV2GerelateerdeOpenbareRuimte::setOpenbare_ruimte_naam()
     * @uses KadasterV2GerelateerdeOpenbareRuimte::setOpenbare_ruimte_plaats()
     * @uses KadasterV2GerelateerdeOpenbareRuimte::setIn_onderzoek()
     * @param string $openbare_ruimte_naam
     * @param string $openbare_ruimte_plaats
     * @param string $in_onderzoek
     */
    public function __construct($openbare_ruimte_naam = null, $openbare_ruimte_plaats = null, $in_onderzoek = null)
    {
        $this
            ->setOpenbare_ruimte_naam($openbare_ruimte_naam)
            ->setOpenbare_ruimte_plaats($openbare_ruimte_plaats)
            ->setIn_onderzoek($in_onderzoek);
    }
    /**
     * Get openbare_ruimte_naam value
     * @return string|null
     */
    public function getOpenbare_ruimte_naam()
    {
        return $this->openbare_ruimte_naam;
    }
    /**
     * Set openbare_ruimte_naam value
     * @param string $openbare_ruimte_naam
     * @return \StructType\KadasterV2GerelateerdeOpenbareRuimte
     */
    public function setOpenbare_ruimte_naam($openbare_ruimte_naam = null)
    {
        // validation for constraint: string
        if (!is_null($openbare_ruimte_naam) && !is_string($openbare_ruimte_naam)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($openbare_ruimte_naam, true), gettype($openbare_ruimte_naam)), __LINE__);
        }
        $this->openbare_ruimte_naam = $openbare_ruimte_naam;
        return $this;
    }
    /**
     * Get openbare_ruimte_plaats value
     * @return string|null
     */
    public function getOpenbare_ruimte_plaats()
    {
        return $this->openbare_ruimte_plaats;
    }
    /**
     * Set openbare_ruimte_plaats value
     * @param string $openbare_ruimte_plaats
     * @return \StructType\KadasterV2GerelateerdeOpenbareRuimte
     */
    public function setOpenbare_ruimte_plaats($openbare_ruimte_plaats = null)
    {
        // validation for constraint: string
        if (!is_null($openbare_ruimte_plaats) && !is_string($openbare_ruimte_plaats)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($openbare_ruimte_plaats, true), gettype($openbare_ruimte_plaats)), __LINE__);
        }
        $this->openbare_ruimte_plaats = $openbare_ruimte_plaats;
        return $this;
    }
    /**
     * Get in_onderzoek value
     * @return string|null
     */
    public function getIn_onderzoek()
    {
        return $this->in_onderzoek;
    }
    /**
     * Set in_onderzoek value
     * @param string $in_onderzoek
     * @return \StructType\KadasterV2GerelateerdeOpenbareRuimte
     */
    public function setIn_onderzoek($in_onderzoek = null)
    {
        // validation for constraint: string
        if (!is_null($in_onderzoek) && !is_string($in_onderzoek)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($in_onderzoek, true), gettype($in_onderzoek)), __LINE__);
        }
        $this->in_onderzoek = $in_onderzoek;
        return $this;
    }
}
