<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2KadastraleAanduiding StructType
 * @subpackage Structs
 */
class KadasterV2KadastraleAanduiding extends AbstractStructBase
{
    /**
     * The kadastrale_gemeente
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $kadastrale_gemeente;
    /**
     * The sectie
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $sectie;
    /**
     * The perceelnummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $perceelnummer;
    /**
     * The appartementsrecht_volgnummer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $appartementsrecht_volgnummer;
    /**
     * Constructor method for KadasterV2KadastraleAanduiding
     * @uses KadasterV2KadastraleAanduiding::setKadastrale_gemeente()
     * @uses KadasterV2KadastraleAanduiding::setSectie()
     * @uses KadasterV2KadastraleAanduiding::setPerceelnummer()
     * @uses KadasterV2KadastraleAanduiding::setAppartementsrecht_volgnummer()
     * @param string $kadastrale_gemeente
     * @param string $sectie
     * @param int $perceelnummer
     * @param int $appartementsrecht_volgnummer
     */
    public function __construct($kadastrale_gemeente = null, $sectie = null, $perceelnummer = null, $appartementsrecht_volgnummer = null)
    {
        $this
            ->setKadastrale_gemeente($kadastrale_gemeente)
            ->setSectie($sectie)
            ->setPerceelnummer($perceelnummer)
            ->setAppartementsrecht_volgnummer($appartementsrecht_volgnummer);
    }
    /**
     * Get kadastrale_gemeente value
     * @return string|null
     */
    public function getKadastrale_gemeente()
    {
        return $this->kadastrale_gemeente;
    }
    /**
     * Set kadastrale_gemeente value
     * @param string $kadastrale_gemeente
     * @return \StructType\KadasterV2KadastraleAanduiding
     */
    public function setKadastrale_gemeente($kadastrale_gemeente = null)
    {
        // validation for constraint: string
        if (!is_null($kadastrale_gemeente) && !is_string($kadastrale_gemeente)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($kadastrale_gemeente, true), gettype($kadastrale_gemeente)), __LINE__);
        }
        $this->kadastrale_gemeente = $kadastrale_gemeente;
        return $this;
    }
    /**
     * Get sectie value
     * @return string|null
     */
    public function getSectie()
    {
        return $this->sectie;
    }
    /**
     * Set sectie value
     * @param string $sectie
     * @return \StructType\KadasterV2KadastraleAanduiding
     */
    public function setSectie($sectie = null)
    {
        // validation for constraint: string
        if (!is_null($sectie) && !is_string($sectie)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sectie, true), gettype($sectie)), __LINE__);
        }
        $this->sectie = $sectie;
        return $this;
    }
    /**
     * Get perceelnummer value
     * @return int|null
     */
    public function getPerceelnummer()
    {
        return $this->perceelnummer;
    }
    /**
     * Set perceelnummer value
     * @param int $perceelnummer
     * @return \StructType\KadasterV2KadastraleAanduiding
     */
    public function setPerceelnummer($perceelnummer = null)
    {
        // validation for constraint: int
        if (!is_null($perceelnummer) && !(is_int($perceelnummer) || ctype_digit($perceelnummer))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($perceelnummer, true), gettype($perceelnummer)), __LINE__);
        }
        $this->perceelnummer = $perceelnummer;
        return $this;
    }
    /**
     * Get appartementsrecht_volgnummer value
     * @return int|null
     */
    public function getAppartementsrecht_volgnummer()
    {
        return $this->appartementsrecht_volgnummer;
    }
    /**
     * Set appartementsrecht_volgnummer value
     * @param int $appartementsrecht_volgnummer
     * @return \StructType\KadasterV2KadastraleAanduiding
     */
    public function setAppartementsrecht_volgnummer($appartementsrecht_volgnummer = null)
    {
        // validation for constraint: int
        if (!is_null($appartementsrecht_volgnummer) && !(is_int($appartementsrecht_volgnummer) || ctype_digit($appartementsrecht_volgnummer))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($appartementsrecht_volgnummer, true), gettype($appartementsrecht_volgnummer)), __LINE__);
        }
        $this->appartementsrecht_volgnummer = $appartementsrecht_volgnummer;
        return $this;
    }
}
