<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterValueList StructType
 * @subpackage Structs
 */
class KadasterValueList extends AbstractStructBase
{
    /**
     * The list
     * @var \ArrayType\KadasterListValueArray
     */
    public $list;
    /**
     * Constructor method for KadasterValueList
     * @uses KadasterValueList::setList()
     * @param \ArrayType\KadasterListValueArray $list
     */
    public function __construct(\ArrayType\KadasterListValueArray $list = null)
    {
        $this
            ->setList($list);
    }
    /**
     * Get list value
     * @return \ArrayType\KadasterListValueArray|null
     */
    public function getList()
    {
        return $this->list;
    }
    /**
     * Set list value
     * @param \ArrayType\KadasterListValueArray $list
     * @return \StructType\KadasterValueList
     */
    public function setList(\ArrayType\KadasterListValueArray $list = null)
    {
        $this->list = $list;
        return $this;
    }
}
