<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PCReeksSearchPartsPagedResult StructType
 * @subpackage Structs
 */
class PCReeksSearchPartsPagedResult extends AbstractStructBase
{
    /**
     * The extra
     * @var \StructType\SearchParts
     */
    public $extra;
    /**
     * The paging
     * @var \StructType\ResultInfo
     */
    public $paging;
    /**
     * The results
     * @var \ArrayType\PCReeksArray
     */
    public $results;
    /**
     * Constructor method for PCReeksSearchPartsPagedResult
     * @uses PCReeksSearchPartsPagedResult::setExtra()
     * @uses PCReeksSearchPartsPagedResult::setPaging()
     * @uses PCReeksSearchPartsPagedResult::setResults()
     * @param \StructType\SearchParts $extra
     * @param \StructType\ResultInfo $paging
     * @param \ArrayType\PCReeksArray $results
     */
    public function __construct(\StructType\SearchParts $extra = null, \StructType\ResultInfo $paging = null, \ArrayType\PCReeksArray $results = null)
    {
        $this
            ->setExtra($extra)
            ->setPaging($paging)
            ->setResults($results);
    }
    /**
     * Get extra value
     * @return \StructType\SearchParts|null
     */
    public function getExtra()
    {
        return $this->extra;
    }
    /**
     * Set extra value
     * @param \StructType\SearchParts $extra
     * @return \StructType\PCReeksSearchPartsPagedResult
     */
    public function setExtra(\StructType\SearchParts $extra = null)
    {
        $this->extra = $extra;
        return $this;
    }
    /**
     * Get paging value
     * @return \StructType\ResultInfo|null
     */
    public function getPaging()
    {
        return $this->paging;
    }
    /**
     * Set paging value
     * @param \StructType\ResultInfo $paging
     * @return \StructType\PCReeksSearchPartsPagedResult
     */
    public function setPaging(\StructType\ResultInfo $paging = null)
    {
        $this->paging = $paging;
        return $this;
    }
    /**
     * Get results value
     * @return \ArrayType\PCReeksArray|null
     */
    public function getResults()
    {
        return $this->results;
    }
    /**
     * Set results value
     * @param \ArrayType\PCReeksArray $results
     * @return \StructType\PCReeksSearchPartsPagedResult
     */
    public function setResults(\ArrayType\PCReeksArray $results = null)
    {
        $this->results = $results;
        return $this;
    }
}
