<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RiskInsolvencyPublication StructType
 * @subpackage Structs
 */
class RiskInsolvencyPublication extends AbstractStructBase
{
    /**
     * The number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $number;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $date;
    /**
     * The verdict_date
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $verdict_date;
    /**
     * Constructor method for RiskInsolvencyPublication
     * @uses RiskInsolvencyPublication::setNumber()
     * @uses RiskInsolvencyPublication::setType()
     * @uses RiskInsolvencyPublication::setDate()
     * @uses RiskInsolvencyPublication::setVerdict_date()
     * @param string $number
     * @param string $type
     * @param string $date
     * @param string $verdict_date
     */
    public function __construct($number = null, $type = null, $date = null, $verdict_date = null)
    {
        $this
            ->setNumber($number)
            ->setType($type)
            ->setDate($date)
            ->setVerdict_date($verdict_date);
    }
    /**
     * Get number value
     * @return string|null
     */
    public function getNumber()
    {
        return $this->number;
    }
    /**
     * Set number value
     * @param string $number
     * @return \StructType\RiskInsolvencyPublication
     */
    public function setNumber($number = null)
    {
        // validation for constraint: string
        if (!is_null($number) && !is_string($number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($number, true), gettype($number)), __LINE__);
        }
        $this->number = $number;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \StructType\RiskInsolvencyPublication
     */
    public function setType($type = null)
    {
        // validation for constraint: string
        if (!is_null($type) && !is_string($type)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($type, true), gettype($type)), __LINE__);
        }
        $this->type = $type;
        return $this;
    }
    /**
     * Get date value
     * @return string|null
     */
    public function getDate()
    {
        return $this->date;
    }
    /**
     * Set date value
     * @param string $date
     * @return \StructType\RiskInsolvencyPublication
     */
    public function setDate($date = null)
    {
        // validation for constraint: string
        if (!is_null($date) && !is_string($date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($date, true), gettype($date)), __LINE__);
        }
        $this->date = $date;
        return $this;
    }
    /**
     * Get verdict_date value
     * @return string|null
     */
    public function getVerdict_date()
    {
        return $this->verdict_date;
    }
    /**
     * Set verdict_date value
     * @param string $verdict_date
     * @return \StructType\RiskInsolvencyPublication
     */
    public function setVerdict_date($verdict_date = null)
    {
        // validation for constraint: string
        if (!is_null($verdict_date) && !is_string($verdict_date)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($verdict_date, true), gettype($verdict_date)), __LINE__);
        }
        $this->verdict_date = $verdict_date;
        return $this;
    }
}
